List Dashboard Ipam
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
networkId?string
allocatedSampleIpsPage?integer
Format
int32allocatedSampleIpsPageSize?integer
Format
int32Response Body
application/json
curl -X GET "https://api.nrings.io/v1/provider/dashboard/ipam?networkId&allocatedSampleIpsPage&allocatedSampleIpsPageSize" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"networks": [
{
"networkId": "string",
"name": "string",
"description": "string",
"dnsServers": [
"string"
],
"nodeCount": 0,
"prefixCount": 0,
"activeAllocationsTotal": "string",
"nodes": [
{
"nodeId": "string",
"nodeName": "string",
"platformId": "string",
"platformName": "string"
}
],
"prefixSummaries": [
{
"prefixId": "string",
"cidr": "string",
"isIpv6": true,
"usableTotal": "string",
"capacityIsOpenEnded": true,
"activeAllocations": "string",
"reservedCount": "string",
"availableEstimate": "string",
"utilizationPercent": 0.1,
"reservedIps": [
"string"
],
"gatewayIp": "string",
"allocatedSampleIps": [
"string"
],
"vmAssignmentPrefixLength": 0,
"capacityUnitLabel": "string",
"reservedPrefixes": [
"string"
]
}
],
"dashboardVirtualMachineCount": 0
}
],
"allocatedSampleIpsHasMore": true
}